import Message from 'primevue/message';
const __VLS_props = withDefaults(defineProps(), { severity: 'info', dismissible: false });
const emit = defineEmits();
const map = { primary: 'info', secondary: 'secondary', success: 'success', info: 'info', warning: 'warn', danger: 'error' };
const __VLS_defaults = { severity: 'info', dismissible: false };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
let __VLS_0;
/** @ts-ignore @type { | typeof __VLS_components.Message | typeof __VLS_components.Message} */
Message;
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onClose': {} },
    severity: (__VLS_ctx.map[__VLS_ctx.severity]),
    closable: (__VLS_ctx.dismissible),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onClose': {} },
    severity: (__VLS_ctx.map[__VLS_ctx.severity]),
    closable: (__VLS_ctx.dismissible),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.close} */
    onClose: (...[$event]) => {
        return (__VLS_ctx.emit('dismiss'));
        // @ts-ignore
        [map, severity, dismissible, emit,];
    },
};
var __VLS_7;
const { default: __VLS_8 } = __VLS_3.slots;
if (__VLS_ctx.title) {
    __VLS_asFunctionalElement1(__VLS_intrinsics.strong, __VLS_intrinsics.strong)({});
    (__VLS_ctx.title);
}
(__VLS_ctx.message);
// @ts-ignore
[title, title, message,];
var __VLS_3;
var __VLS_4;
// @ts-ignore
[];
const __VLS_export = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
